<?xml version="1.0" encoding="UTF-8"?>
<model xmlns="http://www.justep.com/model">

	<relation name="fName" data-type="String">
		<label language="zh_CN">名称</label>
	</relation>
	<relation name="fIndex" data-type="String"
		default-value-expr="createSerialNumberByCurrentDate()">
		<label language="zh_CN">顺序</label>
	</relation>
	<concept name="M010_Subject" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">所属科目</label>

		<has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>

		<has-relation relation="fRemark" data-type="String"></has-relation>

		<has-relation relation="fCreatorID" data-type="String"
			default-value-expr="currentPersonID()"></has-relation>
		<has-relation relation="fCreator" data-type="String"
			default-value-expr="currentPersonName()"></has-relation>
		<has-relation relation="fCreateTime" data-type="DateTime"
			default-value-expr="currentDateTime()"></has-relation>



	</concept>
	<concept name="M010_Property" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">课件属性</label>
		<has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>
	</concept>
	<concept name="M010_Courseware" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">课件详细</label>
		<has-relation relation="fBelongGrade" data-type="String"></has-relation>
		<has-relation relation="fBlongSubject" data-type="String"></has-relation>
		<has-relation relation="fCourseProperty" data-type="String"></has-relation>
		<has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>
		<has-relation relation="fSection" data-type="String"></has-relation>
		<has-relation relation="fDesc" data-type="Text"></has-relation>
		<has-relation relation="fAttachment" data-type="Text"></has-relation>
		<has-relation relation="fCoursewareNo" data-type="String"></has-relation>
		<has-relation relation="fStatus" data-type="String"
			default-value-expr="'未发布'"></has-relation>
		<has-relation relation="fUpdateTime" data-type="DateTime"
			default-value-expr="currentDateTime()"></has-relation>
		<has-relation relation="fUpdatePsnID" data-type="String"
			default-value-expr="currentPersonID()"></has-relation>
		<has-relation relation="fUpdatePsn" data-type="String"
			default-value-expr="currentPersonName()"></has-relation>
		<has-relation relation="fDownloadTime" data-type="Integer"
			default-value-expr="0"></has-relation>
		<has-relation relation="fSize" data-type="String"></has-relation>
		<has-relation relation="fSubjectVersion" data-type="String"></has-relation>
		<has-relation relation="fSubjectBooks" data-type="String"></has-relation>
		<has-relation relation="fKnowPoint" data-type="String"></has-relation>
		<has-relation relation="fCollectTime" default-value-expr="0"></has-relation>
		<has-relation relation="fViewCount" default-value-expr="0"></has-relation>
		<has-relation relation="fReceivedCount"
			default-value-expr="0"></has-relation>
	<has-relation relation="fGradeIndex"></has-relation>
<has-relation relation="fSubIndex"></has-relation>
</concept>
	<relation name="fBelongGrade" data-type="String">
		<label language="zh_CN">所属年级</label>
	</relation>
	<relation name="fBlongSubject" data-type="String">
		<label language="zh_CN">所属科目</label>
	</relation>
	<relation name="fCourseProperty" data-type="String">
		<label language="zh_CN">课件属性</label>
	</relation>
	<relation name="fSection" data-type="String">
		<label language="zh_CN">关联章节</label>
	</relation>
	<relation name="fDesc" data-type="Text">
		<label language="zh_CN">课件描述</label>
	</relation>
	<relation name="fAttachment" data-type="Text">
		<label language="zh_CN">附件</label>
	</relation>
	<relation name="fCoursewareNo" data-type="String"
		default-value-expr="nextSeqString('CA','00000')">
		<label language="zh_CN">课件编号</label>
	</relation>
	<relation name="fStatus" data-type="String">
		<label language="zh_CN">发布状态</label>
	</relation>
	<relation name="fUpdateTime" data-type="DateTime">
		<label language="zh_CN">上传时间</label>
	</relation>
	<relation name="fUpdatePsnID" data-type="String">
		<label language="zh_CN">上传人ID</label>
	</relation>
	<relation name="fUpdatePsn" data-type="String">
		<label language="zh_CN">上传人</label>
	</relation>

	<concept name="M010_Download" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">下载情况</label>
		<has-relation relation="fStudentID" data-type="String"></has-relation>
		<has-relation relation="fStudentName" data-type="String"></has-relation>
		<has-relation relation="fSex" data-type="String"></has-relation>
		<has-relation relation="fDownloadStatus" data-type="Integer"></has-relation>
		<has-relation relation="fClasses" data-type="String"></has-relation>
		<has-relation relation="fWareID" data-type="String"></has-relation>
	</concept>
	<relation name="fStudentID" data-type="String">
		<label language="zh_CN">学生ID</label>
	</relation>
	<relation name="fStudentName" data-type="String">
		<label language="zh_CN">学生</label>
	</relation>
	<relation name="fSex" data-type="String">
		<label language="zh_CN">性别</label>
	</relation>
	<relation name="fDownloadStatus" data-type="Integer">
		<label language="zh_CN">下载状态</label>
	</relation>
	<relation name="fClasses" data-type="String">
		<label language="zh_CN">班别</label>
	</relation>
	<relation name="fWareID" data-type="String">
		<label language="zh_CN">课件ID</label>
	</relation>
	<relation name="fDownloadTime" data-type="Integer">
		<label language="zh_CN">下载数</label>
	</relation>
	<relation name="fSize" data-type="String">
		<label language="zh_CN">大小</label>
	</relation>
	<relation name="fParent" data-type="String">
		<label language="zh_CN">学部</label>
	</relation>
	<relation name="fRemark" data-type="String">
		<label language="zh_CN">备注</label>
	</relation>
	<relation name="fCreatorID" data-type="String">
		<label language="zh_CN">创建人ID</label>
	</relation>
	<relation name="fCreator" data-type="String">
		<label language="zh_CN">创建人</label>
	</relation>
	<relation name="fCreateTime" data-type="DateTime">
		<label language="zh_CN">创建时间</label>
	</relation>
	<concept name="M010_SubjectVersion" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">学科版本</label>
		<has-relation relation="fGrade"></has-relation>
		<has-relation relation="fSubject" data-type="String"></has-relation>
		<has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>
		<has-relation relation="fRemark"></has-relation>
		<has-relation relation="fCreatorID" default-value-expr="currentPersonID()"></has-relation>
		<has-relation relation="fCreator" default-value-expr="currentPersonName()"></has-relation>
		




	

<has-relation relation="fCreateDateTime" default-value-expr="currentDateTime()"></has-relation>
</concept>
	<concept name="M010_StudyBooks" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<has-relation relation="fGrade"></has-relation>
		<label language="zh_CN">科目学册</label>
		<has-relation relation="fSubject"></has-relation>
		<has-relation relation="fSubjectVersion"></has-relation><has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>
		<has-relation relation="fRemark"></has-relation>
		<has-relation relation="fCreatorID" default-value-expr="currentPersonID()"></has-relation>
		<has-relation relation="fCreator" default-value-expr="currentPersonName()"></has-relation>
		


	
<has-relation relation="fCreateDateTime" default-value-expr="currentDateTime()"></has-relation>
</concept>
	<concept name="M100_Information" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">课件信息</label>
		<has-relation relation="fType" data-type="String"></has-relation>
		<has-relation relation="fGrade"></has-relation>
		<has-relation relation="fSubject"></has-relation>
		<has-relation relation="fSubjectVersion"></has-relation>
		
		<has-relation relation="fSubjectBooks"></has-relation><has-relation relation="fLevelClass" data-type="String">
			<label language="zh_CN">分类</label>
		</has-relation>
		<has-relation relation="fName"></has-relation>
		<has-relation relation="fIndex"></has-relation>
		<has-relation relation="fRemark"></has-relation>
		<has-relation relation="fCreatorID" default-value-expr="currentPersonID()"></has-relation>
		<has-relation relation="fCreator" default-value-expr="currentPersonName()"></has-relation>
		




	
<has-relation relation="fCreateDateTime" default-value-expr="currentDateTime()"></has-relation>
</concept>
	<relation name="fType" data-type="String">
		<label language="zh_CN">类型</label>
	</relation>
	<relation name="fParent" data-type="String">
		<label language="zh_CN">学部</label>
	</relation>
	<relation name="fSubject" data-type="String">
		<label language="zh_CN">科目</label>
	</relation>
	<relation name="fLevelClass" data-type="String">
		<label language="zh_CN">大纲二级分类</label>
	</relation>
	<relation name="fGrade" data-type="String">
		<label language="zh_CN">年级</label>
	</relation>
	<concept name="M010_GradeClassTree" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">年班级表</label>

		<has-relation relation="fGradeClassName" data-type="String">
			<label language="zh_CN">年班级名称</label>
		</has-relation>
		<has-relation relation="fShortName" data-type="String"></has-relation>
		<has-relation relation="fGradeClassFPathID" data-type="String"></has-relation>
		<has-relation relation="fLevel" data-type="Integer"
			default-value-expr="1"></has-relation>
		<has-relation relation="fParentID" data-type="String"></has-relation>
		<has-relation relation="fAcaScienceSub" data-type="String"></has-relation>
		<has-relation relation="fParent">
			<label language="zh_CN">父</label>
		</has-relation>
		<has-relation relation="fIndex" data-type="Integer"
			default-value-expr="0">
			<label language="zh_CN">序列</label>
		</has-relation>
		<has-relation relation="fStartSchoolYear" data-type="String"></has-relation>
		<has-relation relation="fClassNo" data-type="String"></has-relation>
		<has-relation relation="fSemester" data-type="String"></has-relation>
	</concept>
	<relation name="fGradeClassName" data-type="String">
		<label language="zh_CN">年班级表</label>
	</relation>
	<relation name="fShortName" data-type="String">
		<label language="zh_CN">简称</label>
	</relation>
	<relation name="fGradeClassFPathID" data-type="String">
		<label language="zh_CN">年班级全路径ID</label>
	</relation>
	<relation name="fLevel" data-type="String">
		<label language="zh_CN">层次</label>
	</relation>
	<relation name="fParentID" data-type="String">
		<label language="zh_CN">父ID</label>
	</relation>
	<relation name="fAcaScienceSub" data-type="String">
		<label language="zh_CN">文理科</label>
	</relation>
	<relation name="fStartSchoolYear" data-type="String">
		<label language="zh_CN">学年级别</label>
	</relation>
	<relation name="fClassNo" data-type="String">
		<label language="zh_CN">班号</label>
	</relation>
	<relation name="fSemester" data-type="String">
		<label language="zh_CN">学期</label>
	</relation>
	<concept name="M010_EM_Employee" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">教职工档案</label>
		<has-relation relation="fEmployeeState"
			default-value-expr="'正常'"></has-relation>
		<has-relation relation="fEmployeeCode"></has-relation>
		<has-relation relation="fEmployeeName"></has-relation>
		<has-relation relation="fSex" default-value-expr="'男'"></has-relation>
		<has-relation relation="fAge" data-type="Integer"></has-relation>
		<has-relation relation="fBirthday" data-type="Date"></has-relation>
		<has-relation relation="fMobilePhone"></has-relation>
		<has-relation relation="fIDCard"></has-relation>
		<has-relation relation="fMarriage" default-value-expr="'未婚'"></has-relation>
		<has-relation relation="fAddress"></has-relation>
		<has-relation relation="fJobTitle"></has-relation>
		<has-relation relation="fGraduateSchool"></has-relation>
		<has-relation relation="fSpeciality"></has-relation>
		<has-relation relation="fDegree"></has-relation>
		<has-relation relation="fAcademic"></has-relation>
		<has-relation relation="fSchoolLength"></has-relation>
		<has-relation relation="fGraduateTime" data-type="Date"></has-relation>
		<has-relation relation="fForeignLang"></has-relation>
		<has-relation relation="fForeignLevel"></has-relation>
		<has-relation relation="fForeignLang2"></has-relation>
		<has-relation relation="fForeignLevel2"></has-relation>
		<has-relation relation="fTeacherCardNo"></has-relation>
		<has-relation relation="fTeachSubject" size="256"></has-relation>
		<has-relation relation="fTeachSubjectNo" data-type="Integer"></has-relation>
		<has-relation relation="fSource"></has-relation>
		<has-relation relation="fContractStartTime"></has-relation>
		<has-relation relation="fContractEndTime"></has-relation>
		<has-relation relation="fJoinDate"></has-relation>
		<has-relation relation="fContractAttr" size="1024"></has-relation>
		<has-relation relation="fPhotoLastModified"></has-relation>
		<has-relation relation="fPolStatus"></has-relation>
		<has-relation relation="fNative"></has-relation>
		<has-relation relation="fNation"></has-relation>
		<has-relation relation="fIsGATOverseas"></has-relation>
		<has-relation relation="fPhoto" data-type="Text"></has-relation>
		<has-relation relation="fRemark" size="512"></has-relation>
		<has-relation relation="fAttachment"></has-relation>
		<has-relation relation="fTeacherType"></has-relation>
		<has-relation relation="fCreateTime" default-value-expr="currentDateTime()"></has-relation>
		<has-relation relation="fCompileState"></has-relation>
		<has-relation relation="fEmployeeState"></has-relation>
		<has-relation relation="fIndex"></has-relation>
	</concept>
	<concept name="M010_CMGradeSubject" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">年级科目</label>
		<has-relation relation="fSemester"></has-relation>
		<has-relation relation="fGradeID"></has-relation>
		<has-relation relation="fGradeName"></has-relation>
		<has-relation relation="fName"></has-relation>
		<has-relation relation="fType"></has-relation>
		<has-relation relation="fIndex" data-type="String"></has-relation>
	</concept>
	<concept name="M010_CMClassEmployee" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">班级老师</label>
		<has-relation relation="fSemester"></has-relation>
		<has-relation relation="fGradeClassID"></has-relation>
		<has-relation relation="fGradeClassName">
			<label language="zh_CN">年班级名称</label>
		</has-relation>
		<has-relation relation="fEmployeeName"></has-relation>
		<has-relation relation="fEmployeeID"></has-relation>
		<has-relation relation="fPostType"></has-relation>
		<has-relation relation="fPostName"></has-relation>
		<has-relation relation="fStartDate"></has-relation>
		<has-relation relation="fEndDate"></has-relation>
		<has-relation relation="fEndDesc"></has-relation>
	</concept>
	<relation name="fSubjectVersion" data-type="String">
		<label language="zh_CN">学科版本</label>
	</relation>
	<relation name="fSubjectBooks" data-type="String">
		<label language="zh_CN">科目学册</label>
	</relation>
	<relation name="fKnowPoint" data-type="String">
		<label language="zh_CN">知识点</label>
	</relation>
	<concept name="M010_Collection" default-value-expr="guid()">
		<has-relation relation="version" default-value-expr="0">
			<label language="zh_CN">版本</label>
		</has-relation>
		<label language="zh_CN">收藏情况</label>
		<has-relation relation="fWareID"></has-relation>
		<has-relation relation="fDownloadStatus" data-type="String">
			<label language="zh_CN">收藏状态</label>
		</has-relation>
		<has-relation relation="fCreator" default-value-expr="currentPersonName()">
			<label language="zh_CN">收藏人</label>
		</has-relation>
		<has-relation relation="fCreateTime" default-value-expr="currentDateTime()">
			<label language="zh_CN">收藏时间</label>
		</has-relation>
	</concept>
<relation name="fCreateDateTime" data-type="DateTime"><label language="zh_CN">创建时间</label>
</relation>
<concept name="M010_ScoreStar" default-value-expr="guid()"><has-relation relation="version" default-value-expr="0"><label language="zh_CN">版本</label>
</has-relation>
<label language="zh_CN">评分情况</label>
<has-relation relation="fWareID"></has-relation>
<has-relation relation="fStatus" default-value-expr="'未评分'"><label language="zh_CN">评分状态</label>
</has-relation>
<has-relation relation="fCreatorID" default-value-expr="currentPersonID()"><label language="zh_CN">评分人ID</label>
</has-relation>
<has-relation relation="fCreator" default-value-expr="currentPersonName()"><label language="zh_CN">评分人</label>
</has-relation>
<has-relation relation="fCreateTime" default-value-expr="currentDateTime()"><label language="zh_CN">评分时间</label>
</has-relation>
<has-relation relation="fStarNum"></has-relation>
</concept>
<concept name="M010_PraiseDeatil" default-value-expr="guid()"><has-relation relation="version" default-value-expr="0"><label language="zh_CN">版本</label>
</has-relation>
<label language="zh_CN">点赞情况</label>
<has-relation relation="fWareID"></has-relation>
<has-relation relation="fStatus"><label language="zh_CN">点赞状态</label>
</has-relation>
<has-relation relation="fCreator" default-value-expr="currentPersonName()"></has-relation>
<has-relation relation="fCreateTime" default-value-expr="currentDateTime()"></has-relation>
</concept>
</model>